Home

# Class goog.ui.DeprecatedButton

Default implementation of a button. Uses the default browser-style button.

extends goog.events.EventTarget

Instance Method Summary
| `decorate(?Element element)` Decorates the element for the UI component.

`disposeInternal()`

Unattach listeners from this object. Classes that extend EventTarget may need to override this method in order to remove references to DOM Elements and additional listeners, it should be something like this:

    MyClass.prototype.disposeInternal = function() {
    MyClass.superClass_.disposeInternal.call(this);
    // Dispose logic for MyClass
    };

| `getCaption() ⇒ ?string` Gets the caption for the component.
| `getClass() ⇒ string` Gets the CSS className for the component.
| `getElement() ⇒ ?Element` Gets the element representing the UI component.
| `getEnabled() ⇒ boolean` Gets the enabled status for the component.
| `getId() ⇒ string` Gets the unique ID for the instance of this component.
| `getNextUniqueId_() ⇒ string` Gets the next unique ID for the component. This method is used in the constructor to generate the unique ID for the component. NOTE: This method is placed on the prototype so that classes that inherit this class can override this method and have the ID automatically set by calling the parent class's constructor.
| `getTooltip() ⇒ ?string` Gets the tooltip for the component.
| `getValue() ⇒ ?Object` Gets the value for the component.
| `isRendered() ⇒ boolean` Determines whether the component has been rendered.
| `onClick_(?Object e)` Handles the DOM click event. Dispatches the button ACTIVATE Event.
| `render(?Element= opt_element)` Renders the component. Throws an Error if the component is already rendered.
| `setCaption(string caption)` Sets the caption for the component.
| `setEnabled(boolean enable)` Sets the enabled status for the component.
| `setTooltip(string tooltip)` Sets the tooltip for the component.
| `setValue(?Object value)` Sets the value for the component.

Static Method Summary
| `getNextUniqueId() ⇒ string` Gets the next unique ID for the component.